use 5.006;
use inc::Module::Install;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

my $version = '0.09';
my $name    = 'parselog';
my $fname   = "parselog-$version";

my $prereqs = {
    'Test::More'       => 0,
    'DateTime'         => 0,
    'RRDs'             => 0,
    'LockFile::Simple' => 0,
    'debug'            => 0,
};

sub MY::postamble { "

changes:
	echo 'Changelog for $name' > $$
	echo '' >> $$
	-darcs changes >> $$ && mv $$ Changes
	rm -f $$

deb: changes
	(head -1 debian/changelog | grep $version) || exit 1
	rm -f $fname.tar.gz
	-chmod 755 debian/rules
	\$(MAKE) dist
	tar zxvf $fname.tar.gz
	cd $fname && dpkg-buildpackage -b -rfakeroot -tc

deba:
	sudo cp *.deb *.changes /var/lib/debarchiver/incoming
	sudo debarchiver -so

tgz:
	rm -f $name.tgz
	ln -s $fname.tar.gz $name.tgz

etc:
	-mkdir -p \$(DESTDIR)/etc/parselog/conf.d
	if [ ! -s \$(DESTDIR)/etc/parselog/parselog.conf ]; then \\
		install -m 644 conf/parselog.conf \\
			\$(DESTDIR)/etc/parselog/parselog.conf; \\
	fi

dirs:
	-mkdir -p \$(DESTDIR)/var/lib/parselog

";
}

WriteMakefile(
    NAME              => $name,
    VERSION           => $version,
    PREREQ_PM         => $prereqs,
    ABSTRACT          => 'Extract statistics from logfiles',
    AUTHOR            => 'Mark Lawrence <nomad@null.net>',
    EXE_FILES         => ['bin/parselog'],
);


